# ApiRangerReplicationHdfsToAdlsArgs Data Model

Arguments for transforming HDFS Ranger service policies to Azure Data Lake Storage (ADLS) policies.

Note that it's relevant only if any of the Ranger services to be replicated contain HDFS Ranger service type and replication will be done from on-prem to ADLS.

Properties
name | data type | description
--- | --- | ---
adlsStorageAccount | string | ADLS storage account name for Ranger HDFS policies which need to be transformed to ADLS policy.
adlsStorageAccountContainer | string | ADLS storage account container name for Ranger HDFS policies which need to be transformed to ADLS policy.

Example

    {
      "adlsStorageAccount" : "...",
      "adlsStorageAccountContainer" : "..."
    }